package common.db.dao;

import common.db.ExclusiveException;

/**
 * 排他例外
 *
 * @author Tadashi Nakayama
 */
public class DaoLockException extends ExclusiveException {
	/** serialVersionUID */
	private static final long serialVersionUID = 1L;

	/**
	 * コンストラクタ
	 *
	 * @param th 例外オブジェクト
	 */
	public DaoLockException(final Throwable th) {
		super(th);
	}

	/**
	 * コンストラクタ
	 *
	 * @param th 例外オブジェクト
	 * @param nw noWaitフラグ
	 */
	public DaoLockException(final Throwable th, final boolean nw) {
		super(th, nw);
	}
}
